Package tigase.xml

## Class CData

- java.lang.Object
- - tigase.xml.CData

- All Implemented Interfaces:
    `java.lang.Cloneable`, `java.lang.Comparable<CData>`, `XMLNodeIfc<CData>`

      public class CData
      extends java.lang.Object
      implements XMLNodeIfc<CData>

  Created: Feb 9, 2009 12:21:43 PM
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CData​(java.lang.String cdata)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CData` | `clone()` |
    `int` | `compareTo​(CData o)` |
    `java.lang.String` | `getCData()` |
    `void` | `setCdata​(java.lang.String cdata)` |
    `java.lang.String` | `toString()` |
    `java.lang.String` | `toStringPretty()` |
    `java.lang.String` | `toStringSecure()` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CData

          public CData​(java.lang.String cdata)

  - ### Method Detail

    - #### clone

          public CData clone()

      Specified by:
        `clone` in interface `XMLNodeIfc<CData>`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getCData

          public java.lang.String getCData()

    - #### setCdata

          public void setCdata​(java.lang.String cdata)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toStringPretty

          public java.lang.String toStringPretty()

      Specified by:
        `toStringPretty` in interface `XMLNodeIfc<CData>`

    - #### toStringSecure

          public java.lang.String toStringSecure()

      Specified by:
        `toStringSecure` in interface `XMLNodeIfc<CData>`

    - #### compareTo

          public int compareTo​(CData o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CData>`